# Interface EnsSettings

This type indicates settings to be used for ENS resolution (and, in the future, reverse resolution).

#### Category

Inputs

#### Hierarchy

- EnsSettings

- Defined in decoder/lib/types.ts:60

#####
Index

### Properties

provider?
registryAddress?

## Properties

### `Optional` provider

provider?: Provider

The provider to use for ENS resolution; set this to `null` to disable ENS resolution. If absent, will default to the decoder's provider, and ENS resolution will be enabled.

- Defined in decoder/lib/types.ts:66

### `Optional` registryAddress

registryAddress?: string

The ENS registry address to use; if absent, will use the default one for the current network. If there is no default registry for the current network, ENS resolution will be disabled.

- Defined in decoder/lib/types.ts:72

Generated using TypeDoc